export declare const INDEXED_DB_ERROR = "IndexedDB error";
export declare const ENTITY_NAME = "entity_name";
export declare const INDEXED_DB_VERSION = 1;
export declare const AUTO_INCREMENT = "AUTO_INCREMENT";
export declare const DATA_CRUD: {
    FETCHED_SUCCESSFULLY: string;
    CREATED_SUCCESSFULLY: string;
    UPDATED_SUCCESSFULLY: string;
    DELETED_SUCCESSFULLY: string;
};
export declare const ERRORS: {
    TABLE_NOT_FOUND: string;
    REQUEST_BODY_MISSING: string;
    ID_NOT_FOUND: string;
};
export declare const VALIDATION: {
    ASSOCIATED_TABLE_NOT_FOUND: string;
    FOREIGN_KEY_COL_NOT_FOUND: string;
    ASSOCIATED_TABLE_COL_TYPE_MISMATCH: string;
    FOREIGN_KEY_CONSTRAINT_MISSING: string;
    REQUIRED_FIELD_NOT_PRESENT: string;
    PRIMARY_KEY_NOT_PRESENT: string;
    PRIMARY_KEY_NOT_PRESENT_IN_SCHEMA: string;
};
export declare const DATA_TYPE: {
    STRING: string;
    OBJECT: string;
    BOOLEAN: string;
    NUMBER: string;
    DATE_FORMAT: string;
    DATE_TIME_FORMAT: string;
    TIMESTAMP_FORMAT: string;
    TIME_FORMAT: string;
};
export declare const RESPONSE_CODE: {
    SUCCESS: number;
    BAD_REQUEST: number;
    UN_AUTHORIZED: number;
    NO_CONTENT_SUCCESS: number;
    NOT_FOUND: number;
    CONFLICT: number;
    INVALID_INPUT: number;
};
export declare const INDEXED_DB_TRANSACTIONS: {
    READ_ONLY: string;
    READ_WRITE: string;
};
export declare enum HttpMethods {
    GET = "get",
    POST = "post",
    PUT = "put",
    DELETE = "delete"
}
