"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpMethods = exports.INDEXED_DB_TRANSACTIONS = exports.RESPONSE_CODE = exports.DATA_TYPE = exports.VALIDATION = exports.ERRORS = exports.DATA_CRUD = exports.AUTO_INCREMENT = exports.INDEXED_DB_VERSION = exports.ENTITY_NAME = exports.INDEXED_DB_ERROR = void 0;
exports.INDEXED_DB_ERROR = 'IndexedDB error';
exports.ENTITY_NAME = 'entity_name';
exports.INDEXED_DB_VERSION = 1;
exports.AUTO_INCREMENT = 'AUTO_INCREMENT';
exports.DATA_CRUD = {
    FETCHED_SUCCESSFULLY: 'Data fetched successfully',
    CREATED_SUCCESSFULLY: 'Data created successfully',
    UPDATED_SUCCESSFULLY: 'Data updated successfully',
    DELETED_SUCCESSFULLY: 'Data deleted successfully',
};
exports.ERRORS = {
    TABLE_NOT_FOUND: 'Table not found',
    REQUEST_BODY_MISSING: 'Body missing in request payload',
    ID_NOT_FOUND: 'Id not found',
};
exports.VALIDATION = {
    ASSOCIATED_TABLE_NOT_FOUND: 'Associated Table/Column not found',
    FOREIGN_KEY_COL_NOT_FOUND: 'Foreign key column not found',
    ASSOCIATED_TABLE_COL_TYPE_MISMATCH: 'Associated table column type not matched',
    FOREIGN_KEY_CONSTRAINT_MISSING: 'Foreign key column does not have foreign key constraint',
    REQUIRED_FIELD_NOT_PRESENT: 'required field(s) missing in request payload',
    PRIMARY_KEY_NOT_PRESENT: 'Primary key not present in request object',
    PRIMARY_KEY_NOT_PRESENT_IN_SCHEMA: 'Primary key not present in json',
};
exports.DATA_TYPE = {
    STRING: 'string',
    OBJECT: 'object',
    BOOLEAN: 'boolean',
    NUMBER: 'number',
    DATE_FORMAT: 'YYYY-MM-DD',
    DATE_TIME_FORMAT: 'YYYY-MM-DD HH:MM:SS',
    TIMESTAMP_FORMAT: 'YYYYMMDDHHmmss',
    TIME_FORMAT: 'HH:mm:ss',
};
exports.RESPONSE_CODE = {
    SUCCESS: 200,
    BAD_REQUEST: 400,
    UN_AUTHORIZED: 401,
    NO_CONTENT_SUCCESS: 204,
    NOT_FOUND: 404,
    CONFLICT: 409,
    INVALID_INPUT: 422,
};
exports.INDEXED_DB_TRANSACTIONS = {
    READ_ONLY: 'readonly',
    READ_WRITE: 'readwrite',
};
var HttpMethods;
(function (HttpMethods) {
    HttpMethods["GET"] = "get";
    HttpMethods["POST"] = "post";
    HttpMethods["PUT"] = "put";
    HttpMethods["DELETE"] = "delete";
})(HttpMethods = exports.HttpMethods || (exports.HttpMethods = {}));
//# sourceMappingURL=index.js.map