import { AutoIncrementItem, Constraint, JsonSchema, Table } from '../interfaces/json-schema';
declare class IndexedDb {
    private database;
    private db;
    setDatabase(database: string): void;
    initialize(json: JsonSchema): Promise<void>;
    createDatabase(tableNames: string[], autoIncrementCols: AutoIncrementItem[]): Promise<false | undefined>;
    getAutoIncrementColumns(tables: Table[]): AutoIncrementItem[];
    getPrimaryKey(tableName: string): string;
    hasConstraint(constraintValue: string, constraints?: Constraint): boolean;
    getById(tableName: string, id: number): Promise<any>;
    getAll(tableName: string): Promise<any>;
    create(tableName: string, value: any): Promise<any>;
    update(tableName: string, value: any, id: number): Promise<any>;
    delete(tableName: string, id: number): Promise<any>;
}
declare const indexedDb: IndexedDb;
export default indexedDb;
