export interface JsonSchema {
    database: string;
    tables: Table[];
}
export interface Table {
    table_name: string;
    columns: Column[];
    relationships?: Relationship[];
}
export interface Column {
    entity_name: string;
    type: string;
    constraints?: Constraint;
}
export interface Constraint {
    NOT_NULL?: boolean;
    PRIMARY_KEY?: boolean;
    MAX_LENGTH?: number;
    AUTO_INCREMENT?: boolean;
    FOREIGN_KEY?: boolean;
}
export interface Relationship {
    associated_column: string;
    associated_table: string;
    foreign_key_column: string;
}
export interface AutoIncrementItem {
    keyPath: string;
    autoIncrement: boolean;
    tableName: string;
}
export interface DataTypes {
    string: string;
    integer: string;
    boolean: string;
    float: string;
    decimal: string;
    json: string;
    date: string;
    date_time: string;
    timestamp: string;
    time: string;
}
