import { Request } from '../interfaces/api';
import { JsonSchema } from '../interfaces/json-schema';
declare class Validation {
    /**
     * Validate Json Schema and relationship .
     * @param {JsonSchema} jsonSchema Json object.
     * @returns {boolean} isValid .
     */
    jsonSchema(jsonSchema: JsonSchema): boolean;
    /**
     * Validate Api request.
     * @param {string} tableName name of table.
     * @param {string} method name of table.
     * @param {Request} request request object.
     * @returns {boolean} isValid .
     */
    apiRequest(tableName: string, method: string, request?: Request): boolean;
}
export { Validation };
