"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Structure = void 0;
const ajv_1 = __importDefault(require("ajv"));
const error_handling_1 = require("../../error-handling");
const json_schema_json_1 = __importDefault(require("../../schema/json-schema.json"));
const ajv = new ajv_1.default();
class Structure {
    /**
     * Validate if Json Schema valid or not.
     *
     * @param {JsonSchema} jsonSchema - Json object received from frontend .
     * @returns {boolean} valid .
     */
    validateJsonObject(jsonSchema) {
        const valid = ajv.validate(json_schema_json_1.default, jsonSchema);
        if (!valid) {
            throw new error_handling_1.ValidationError(ajv.errors[0].message, ajv.errors[0].dataPath);
        }
        return valid;
    }
}
exports.Structure = Structure;
//# sourceMappingURL=Structure.js.map