export const INDEXED_DB_ERROR = 'IndexedDB error';
export const ENTITY_NAME = 'entity_name';
export const INDEXED_DB_VERSION = 1;
export const AUTO_INCREMENT = 'AUTO_INCREMENT';
export const DATA_CRUD = {
    FETCHED_SUCCESSFULLY: 'Data fetched successfully',
    CREATED_SUCCESSFULLY: 'Data created successfully',
    UPDATED_SUCCESSFULLY: 'Data updated successfully',
    DELETED_SUCCESSFULLY: 'Data deleted successfully',
};
export const ERRORS = {
    TABLE_NOT_FOUND: 'Table not found',
    REQUEST_BODY_MISSING: 'Body missing in request payload',
    ID_NOT_FOUND: 'Id not found',
};
export const VALIDATION = {
    ASSOCIATED_TABLE_NOT_FOUND: 'Associated Table/Column not found',
    FOREIGN_KEY_COL_NOT_FOUND: 'Foreign key column not found',
    ASSOCIATED_TABLE_COL_TYPE_MISMATCH: 'Associated table column type not matched',
    FOREIGN_KEY_CONSTRAINT_MISSING: 'Foreign key column does not have foreign key constraint',
    REQUIRED_FIELD_NOT_PRESENT: 'required field(s) missing in request payload',
    PRIMARY_KEY_NOT_PRESENT: 'Primary key not present in request object',
    PRIMARY_KEY_NOT_PRESENT_IN_SCHEMA: 'Primary key not present in json',
};
export const DATA_TYPE = {
    STRING: 'string',
    OBJECT: 'object',
    BOOLEAN: 'boolean',
    NUMBER: 'number',
    DATE_FORMAT: 'YYYY-MM-DD',
    DATE_TIME_FORMAT: 'YYYY-MM-DD HH:MM:SS',
    TIMESTAMP_FORMAT: 'YYYYMMDDHHmmss',
    TIME_FORMAT: 'HH:mm:ss',
};
export const RESPONSE_CODE = {
    SUCCESS: 200,
    BAD_REQUEST: 400,
    UN_AUTHORIZED: 401,
    NO_CONTENT_SUCCESS: 204,
    NOT_FOUND: 404,
    CONFLICT: 409,
    INVALID_INPUT: 422,
};
export const INDEXED_DB_TRANSACTIONS = {
    READ_ONLY: 'readonly',
    READ_WRITE: 'readwrite',
};
export var HttpMethods;
(function (HttpMethods) {
    HttpMethods["GET"] = "get";
    HttpMethods["POST"] = "post";
    HttpMethods["PUT"] = "put";
    HttpMethods["DELETE"] = "delete";
})(HttpMethods || (HttpMethods = {}));
//# sourceMappingURL=index.js.map