import moment from 'moment';
import { DATA_TYPE } from '../constants';
const dataType = {
    isString(value) {
        return typeof value === DATA_TYPE.STRING;
    },
    isInteger(value) {
        return !isNaN(value) && Number.isInteger(value);
    },
    isFloat(value) {
        return (typeof value !== DATA_TYPE.STRING && !isNaN(value) && Math.round(value) !== value);
    },
    isJson(value) {
        try {
            const isJsonString = JSON.parse(value);
            if (isJsonString && typeof isJsonString === DATA_TYPE.OBJECT) {
                return true;
            }
        }
        catch (e) {
            return false;
        }
    },
    isDecimal(value) {
        return typeof value !== DATA_TYPE.STRING && value - Math.floor(value) !== 0;
    },
    isBoolean(value) {
        return typeof value === DATA_TYPE.BOOLEAN;
    },
    isDate(value) {
        return moment(value, DATA_TYPE.DATE_FORMAT, true).isValid();
    },
    isDateTime(value) {
        return moment(value, DATA_TYPE.DATE_TIME_FORMAT, true).isValid();
    },
    isTime(value) {
        return moment(value, DATA_TYPE.TIME_FORMAT, true).isValid();
    },
    isTimestamp(value) {
        return moment(value, DATA_TYPE.TIMESTAMP_FORMAT, true).isValid();
    },
};
export default dataType;
//# sourceMappingURL=data-types.js.map