import Ajv from 'ajv';
import { ValidationError } from '../../error-handling';
import schema from '../../schema/json-schema.json';
const ajv = new Ajv();
export class Structure {
    /**
     * Validate if Json Schema valid or not.
     *
     * @param {JsonSchema} jsonSchema - Json object received from frontend .
     * @returns {boolean} valid .
     */
    validateJsonObject(jsonSchema) {
        const valid = ajv.validate(schema, jsonSchema);
        if (!valid) {
            throw new ValidationError(ajv.errors[0].message, ajv.errors[0].dataPath);
        }
        return valid;
    }
}
//# sourceMappingURL=Structure.js.map