import { Request } from '../../interfaces/api';
declare class PayLoad {
    private method;
    constructor(method: string);
    /**
     * Validate request payload.
     *
     * @param {Request} request - request received from url.
     * @param {string} tableName - Table name.
     * @returns {void }
     */
    validate(request: Request, tableName: string): void;
    private checkRequiredColumns;
    /**
     * Check NOT NULL for auto increment column .
     *
     * @param {Column} requiredColumnsObj - column object.
     * @returns { Column } requiredColumnsObj
     */
    private filterRequiredEntities;
    /**
     * Check if PRIMARY KEY present in schema .
     *
     * @param {Table} tableObject - request received from url.
     * @param {string} tableName - request received from url.
     * @returns { void } .
     */
    private checkPrimaryKey;
    /**
     * Check for additional columns .
     *
     * @param {Table} tableObject - request received from url.
     * @param {object} request - request received from url.
     * @returns { void } .
     */
    private checkAdditionalProperties;
    private checkDataTypes;
    private getDataValidator;
    private checkMaxLength;
    checkRequest(payLoad: Request): void;
}
export default PayLoad;
